@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    src: url('Poppins-Medium.ttf') format('truetype');
}

/* RESET */
html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    overflow: hidden;
}

/* BODY */
body {
    font-family: 'Poppins', sans-serif;
    background: #222;
}

/* STAGE – pełny ekran */
#stage {
    position: fixed;
    inset: 0;              /* top:0 right:0 bottom:0 left:0 */
    background: #000;
    cursor: none;
}

/* Jeśli w środku jest canvas (np. Pixi) */
#stage canvas {
    width: 100% !important;
    height: 100% !important;
    display: block;
}

/* MODAL SHADE – pełny ekran */
#modal_shade {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.8);
    cursor: pointer;
}

/* OVERLAY */
.overlay {
    display: none;

    text-align: center;
    color: #fff;
    letter-spacing: 1px;

    width: 500px;
    height: 170px;

    position: fixed;
    margin: auto;
    inset: 0;
}

/* Overlay nagłówek */
.overlay > div:nth-child(1) {
    font-size: 100px;
    line-height: 100px;
}

/* Overlay tekst */
.overlay > div:nth-child(2) {
    font-size: 20px;
}

#paused {
    cursor: pointer;
}